# Modelica Annex60 library

This is the development site for the Modelica _Annex60_ library and its user guide.

Instructions for developers are available on the [wiki](https://github.com/iea-annex60/modelica-annex60/wiki).

## Library description

The Modelica _Annex60_ library is a free open-source library with basic models that codify
best practices for the implementation of models for building and community energy and control systems. 
The library is developed within the Annex 60 project (http://www.iea-annex60.org)
of the International Energy Agency's Energy in Buildings and Communities Programme.

This library is typically not used directly by end-users. Rather, it
is integrated by developers of other Modelica libraries for building and
community energy systems, who then distribute it to end-users as part of their
respective library.
Currently, the _Annex60_ library is used as the core of these libraries:

 * _AixLib_, from RWTH Aachen University, Germany: https://github.com/RWTH-EBC/AixLib
 * _Buildings_, from LBNL, Berkeley, CA, USA: http://simulationresearch.lbl.gov/modelica
 * _BuildingSystems_, from UdK Berlin, Germany: http://www.modelica-buildingsystems.de
 * _IDEAS_ from KU Leuven, Belgium: https://github.com/open-ideas/IDEAS

## License

The Modelica _Annex60_ library is available under the terms of the license at
[Annex60/legal.html](https://htmlpreview.github.io/?https://github.com/iea-annex60/modelica-annex60/blob/master/Annex60/legal.html).

## Development and contribution
You may report any issues by using the [Issues](https://github.com/iea-annex60/modelica-annex60/issues) button.

Contributions in the form of [Pull Requests](https://github.com/iea-annex60/modelica-annex60/pulls) are always welcome.
Prior to issuing a pull request, make sure your code follows
the [style guide and coding conventions](https://github.com/iea-annex60/modelica-annex60/wiki/Style-Guide).
